//#include "stdafx.h"		// QT删掉stdafx头文件引用
#include "Group.h"

EVENT_DATA::EVENT_DATA()
{
	nCEID = 0;
}

VARIABLE_DATA::VARIABLE_DATA()
{
	bInside = false;
}

ALARM_DATA::ALARM_DATA()
{
	bEnable = true;
	bSet = false;
	nCategory = eCategoryIrrecoverableError;			// 警报类别
}

ALARM_DATA::ALARM_DATA(const ALARM_DATA& des)
{
	copy(des);
}

void ALARM_DATA::operator = (const ALARM_DATA& des)
{
	copy(des);
}

void ALARM_DATA::copy(const ALARM_DATA& des)
{
	ALID = des.ALID;
	ALTX = des.ALTX;
	SetCEID = des.SetCEID;	
	ClearCEID = des.ClearCEID;		
	nCategory = des.nCategory;
	bEnable = des.bEnable;
	bSet = des.bSet;
}

ERROR_CODE_DESCRIPTION::ERROR_CODE_DESCRIPTION()
{
	nCode = 1;
}

ERROR_CODE_DESCRIPTION::ERROR_CODE_DESCRIPTION(int nCode, std::string pDescription)
{
	this->nCode = nCode;
	this->pDescription = pDescription;
}

// 返回空代表没有该参数，没有对象时候map[]会insert元素
const char* REMOTE_DATA::GetValue(std::string pName)
{
	std::map<std::string, std::string>::iterator ite;
	ite = mapParam.find(pName);
	if(ite != mapParam.end())
	{
		return (ite->second).c_str();
	}
	return NULL;
}

void REMOTE_DATA::AddErrorCode(int nCode, std::string pDescription)
{
	ERROR_CODE_DESCRIPTION pError;
	pError.nCode = nCode;
	pError.pDescription = pDescription;
	listErrorCode.push_back(pError);
}


REMOTE_DATA_OLD::REMOTE_DATA_OLD(REMOTE_DATA_OLD& rdo)
{
	pRCMD = rdo.pRCMD;
	svParam = rdo.svParam;
}

REMOTE_DATA_OLD::REMOTE_DATA_OLD(REMOTE_DATA& rd)
{
	pRCMD = rd.pRCMD;
	std::map<std::string, std::string>::iterator ite;
	for (ite = rd.mapParam.begin(); ite != rd.mapParam.end(); ite++)
	{
		REMOTE_PARAM_DATA rpd;
		rpd.pName = ite->first;
		rpd.pValue = ite->second;
		svParam.push_back(rpd);
	}		
}

PP_HANDLE_DATA::PP_HANDLE_DATA()
{
	memset(this, 0, sizeof(PP_HANDLE_DATA));
}


PP_FORMAT_HANDLE::PP_FORMAT_HANDLE()
{
	nEvent = eLOAD_TMP_PPID;	
	nAck = ePPSuccess;
}


PP_FORMAT_PARAMENT::PP_FORMAT_PARAMENT()
{
}

PP_FORMAT_PARAMENT::PP_FORMAT_PARAMENT(std::string pType, std::string pValue)
{
	this->pType = pType;
	this->pValue = pValue;
}


WAFER_MAP::WAFER_MAP()
{		
	nIDTYP = MATERIAL_ID_TYPE::Wafer;			// 物料的类型
	nFNLOC = WAFER_FLAT_NOTCH_ANGLE::ANGLE0;
	nFFROT = WAFER_FILM_FRAME_ANGLE::ANGLE0;
	nORLOC = ORIGIN_LOCATION::UpperLeft;
	nRPSEL = 0;							
	dbXDies = 0.0;
	dbYDies = 0.0;
	nROWCT = 0;
	nCOLCT = 0;
	nPRDCT = 0;
	nPRAXI = PROCESS_AXIS::XAxisBottomIncreasing;
	nMLCL = 0;
}




